#include atoms_red
#include CB05TUCl_NCSU.spc
#include CB05TUCl_NCSU.eqn

#include ../boxmox/wrapper

#LOOKATALL

#INLINE F90_GLOBAL

  ! global variables used by special rate constants of this mechanism

  ! air/water concentration (molecules/cm3)
  REAL(KIND=dp)      :: c_m, c_h2o
  ! relative humidity (not used)
  REAL(KIND=dp)      :: rh

  ! whatever that is?
  REAL(KIND=dp)      :: rtdat_ae_so2

#ENDINLINE

#INLINE F90_INIT

  ! 1E-03 * (1.0/28.97) * 6.022e23 * air density
  c_m    = 2.078702e+19 * 1.25

  ! 1E-03 * (1.0/18.02) * 6.022e23 * air density, then times kg(water)/kg(air)
  c_h2o  = 3.341842e+19 * 1.25 * 0.010

  ! SO2 to sulfate conversion
  rtdat_ae_so2 = 1.0e-17

#ENDINLINE


#INLINE F90_RATES
REAL(KIND=dp) FUNCTION k46( TEMP, C_M )
    REAL(KIND=dp), INTENT(IN) :: temp, c_m
    REAL(KIND=dp) :: k0, k2, k3

   k0=7.2E-15_dp * EXP(785._dp/TEMP)
   k2=4.1E-16_dp * EXP(1440._dp/TEMP)
   k3=1.9E-33_dp * EXP(725._dp/TEMP)

   k46=k0+k3/(1+k3/k2)


END FUNCTION k46
#ENDINLINE

